from .component import Component, ComponentType


class Controllable(Component):
    def __init__(self, by: str):
        super().__init__(ComponentType.CONTROLLABLE)
        self.by = by

    def __repr__(self) -> str:
        return f"Controllable(by={self.by})"

    def dict(self) -> dict:
        # don't serialize who owns this
        return {}
