import $ from "jquery";

$(document).ready(async () => {
  await fetch("/assign", {
    credentials: "include",
  });

  const ws = new WebSocket("/ws");
  ws.onopen = () => {
    console.log("connected");
  };
  ws.onmessage = ({ data }) => {
    console.log(JSON.parse(data));
  };
  ws.onclose = (e) => {
    console.log("disconnected", e);
  };
});
